ChangeCase (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.util.wanderer
Class ChangeCase

    java.lang.Object
      com.bbn.openmap.util.wanderer.Wanderer
          com.bbn.openmap.util.wanderer.ChangeCase

All Implemented Interfaces:
  WandererCallback

    public class ChangeCase

extends Wanderer
implements WandererCallback

ChangeCase is a simple class that traverses a file system tree and converts the contents to upper ot lower case letters, depending on the options provided.

        Usage: java com.bbn.openmap.util.wanderer.ChangeCase [-u|-l] (dir path 1)(dir path 2) ...

Field Summary

Fields inherited from class com.bbn.openmap.util.wanderer.Wanderer
`exhaustiveSearch, topToBottom`

Constructor Summary
`ChangeCase(boolean toUpperCase)`

Method Summary
`boolean` | `getVerbose()`
`boolean` | `handleDirectory(java.io.File directory)` Do what you need to do to the directory.
`boolean` | `handleFile(java.io.File file)` Do what you need to do to the file.
`static void` | `main(java.lang.String[] argv)` Given a set of files or directories, parade through them to change their case.
`void` | `setVerbose(boolean val)`

Methods inherited from class com.bbn.openmap.util.wanderer.Wanderer
`getCallback, handleDirectory, handleEntry, isExhaustiveSearch, isTopToBottom, setCallback, setExhaustiveSearch, setTopToBottom`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChangeCase

    public ChangeCase(boolean toUpperCase)

Method Detail

### setVerbose

    public void setVerbose(boolean val)

### getVerbose

    public boolean getVerbose()

### handleDirectory

    public boolean handleDirectory(java.io.File directory)

  Description copied from interface: `WandererCallback`
  Do what you need to do to the directory.

  Specified by:
    `handleDirectory` in interface `WandererCallback`
  Parameters:
    `directory` - that represents a directory to deal with.
  Returns:
    true to continue wandering through to children.

### handleFile

    public boolean handleFile(java.io.File file)

  Description copied from interface: `WandererCallback`
  Do what you need to do to the file.

  Specified by:
    `handleFile` in interface `WandererCallback`
  Parameters:
    `file` - to handle.
  Returns:
    true to continue evaluating siblings and parent directory siblings.

### main

    public static void main(java.lang.String[] argv)

  Given a set of files or directories, parade through them to change their case.

  Parameters:
    `argv` - paths to files or directories, use -h to get a usage statement.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details